/*
 * Copyright 2020-2030, MateCloud, DAOTIANDI Technology Inc All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * Author: pangu(7333791@qq.com)
 */
package vip.mate.system.mapper;

import vip.mate.system.entity.SysRoute;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.mate.system.vo.SysRouteVO;

import java.util.List;

/**
 * <p>
 * 系统路由表 Mapper 接口
 * </p>
 *
 * @author pangu
 * @since 2020-10-17
 */
public interface SysRouteMapper extends BaseMapper<SysRoute> {

	/**
	 * 微服务视图列表
	 *
	 * @return List<SysRouteVO>
	 */
	List<SysRouteVO> listItem();

}
